package com.ruoyi.rocketmq.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 风扇信息对象 initial_switch_fan_info
 * 
 * @author gyt
 * @date 2025-09-22
 */
public class InitialSwitchFanInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 风扇索引 */
    @Excel(name = "风扇索引")
    private String fanEntIndex;

    /** 风扇名称 */
    @Excel(name = "风扇名称")
    private String fanName;

    /** 风扇状态 */
    @Excel(name = "风扇状态")
    private String fanEntityFanState;

    /** 客户端ID */
    @Excel(name = "客户端ID")
    private String clientId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setFanEntIndex(String fanEntIndex) 
    {
        this.fanEntIndex = fanEntIndex;
    }

    public String getFanEntIndex() 
    {
        return fanEntIndex;
    }

    public void setFanName(String fanName) 
    {
        this.fanName = fanName;
    }

    public String getFanName() 
    {
        return fanName;
    }

    public void setFanEntityFanState(String fanEntityFanState) 
    {
        this.fanEntityFanState = fanEntityFanState;
    }

    public String getFanEntityFanState() 
    {
        return fanEntityFanState;
    }

    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fanEntIndex", getFanEntIndex())
            .append("fanName", getFanName())
            .append("fanEntityFanState", getFanEntityFanState())
            .append("clientId", getClientId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
